gnutls_ecc_curve_get_oid(3)

NAME
gnutls_ecc_curve_get_oid - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_ecc_curve_get_oid(gnutls_ecc_curve_t curve);

ARGUMENTS

gnutls_ecc_curve_t curve
    is an ECC curve

DESCRIPTION
Convert a gnutls_ecc_curve_t value to its object identifier.

RETURNS
a string that contains the OID of the specified curve or NULL.

SINCE
3.4.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/